### Function

# Qmi MessageDmsFoxconnGetFirmwareVersionInput new

since: 1.26

#### Declaration [src]

    QmiMessageDmsFoxconnGetFirmwareVersionInput*
    qmi_message_dms_foxconn_get_firmware_version_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDmsFoxconnGetFirmwareVersionInput`.

Available since: 1.26

#### Return value

Type: `QmiMessageDmsFoxconnGetFirmwareVersionInput`

The newly created `QmiMessageDmsFoxconnGetFirmwareVersionInput`. The returned value should be freed with qmi_message_dms_foxconn_get_firmware_version_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.